/{organizationId}/{mandateId}/booking/punchCards/{punchCardId}Get punch card
Returns a specific punch card with all of its details for a given mandate
Required permissions:
mandate.read
punchCard.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired punchCardIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/punchCards/{punchCardId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
namestringrequired minLength: 1
maxLength: 40
descriptionstringrequired maxLength: 140
Additional properties are not allowed.
pointsintegerrequired maximum: 9007199254740991
exclusiveMinimum: 0
Additional properties are not allowed.
activationStatusstringrequired Options:
unpaidpartialpaidResponse
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"name": "string",
"description": "string",
"price": {
"isNet": true,
"price": 0,
"taxCode": "string",
"account": 1,
"costCenter1": 1,
"costCenter2": 1
},
"points": 1,
"validity": {
"value": 1,
"unit": "hours"
},
"activationStatus": "unpaid"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}